net.snowflake.client.jdbc

## Enum DBMetadataResultSetMetadata

- java.lang.Object
- - java.lang.Enum<DBMetadataResultSetMetadata>
  - - net.snowflake.client.jdbc.DBMetadataResultSetMetadata

All Implemented Interfaces:
  Serializable, Comparable<DBMetadataResultSetMetadata>

    public enum DBMetadataResultSetMetadata
    extends Enum<DBMetadataResultSetMetadata>

For function call getTables/getSchemas, we returned resultset. We stored these resultSetMetadata here Created by hyu on 12/15/16.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`GET_CATALOGS`
`GET_COLUMNS`
`GET_COLUMNS_EXTENDED_SET`
`GET_FOREIGN_KEYS`
`GET_FUNCTION_COLUMNS`
`GET_FUNCTIONS`
`GET_PRIMARY_KEYS`
`GET_SCHEMAS`
`GET_TABLES`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`List<String>` `getColumnNames()`
`List<String>` `getColumnTypeNames()`
`List<Integer>` `getColumnTypes()`
`static DBMetadataResultSetMetadata` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DBMetadataResultSetMetadata[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GET_CATALOGS

    public static final DBMetadataResultSetMetadata GET_CATALOGS

#### GET_SCHEMAS

    public static final DBMetadataResultSetMetadata GET_SCHEMAS

#### GET_TABLES

    public static final DBMetadataResultSetMetadata GET_TABLES

#### GET_COLUMNS

    public static final DBMetadataResultSetMetadata GET_COLUMNS

#### GET_COLUMNS_EXTENDED_SET

    public static final DBMetadataResultSetMetadata GET_COLUMNS_EXTENDED_SET

#### GET_PRIMARY_KEYS

    public static final DBMetadataResultSetMetadata GET_PRIMARY_KEYS

#### GET_FOREIGN_KEYS

    public static final DBMetadataResultSetMetadata GET_FOREIGN_KEYS

#### GET_FUNCTIONS

    public static final DBMetadataResultSetMetadata GET_FUNCTIONS

#### GET_FUNCTION_COLUMNS

    public static final DBMetadataResultSetMetadata GET_FUNCTION_COLUMNS

### Method Detail

#### values

    public static DBMetadataResultSetMetadata[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DBMetadataResultSetMetadata c : DBMetadataResultSetMetadata.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DBMetadataResultSetMetadata valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getColumnNames

    public List<String> getColumnNames()

#### getColumnTypeNames

    public List<String> getColumnTypeNames()

#### getColumnTypes

    public List<Integer> getColumnTypes()